/*********************************************************************
 * [SliderPuzzle スクリプト] setting.js
 *
 * Copyright (C) 2009,2015 ASANO Sei All Rights Reserved.
 *********************************************************************/
var userSetting = {
	/*-------------------------------------------------------------------*
	 * ピースの背景に使用する画像を格納したディレクトリ名。
	 * 末尾の "/" は不要。大文字小文字は区別されます。
	 * 相対パスの場合は、パズルページであるindex.htmlを基準にしてください。
	 *-------------------------------------------------------------------*/
	imageDir : "image"
	/*-------------------------------------------------------------------*
	 * ピースの背景に使用する画像など、パズルの基本的な指定をします。
	 * カンマで区切って、複数枚のパズルの指定を並べることができます。
	 *
	 *   src : 【必須】画像のファイル名。大文字小文字は区別されます。
	 *   viewWidth : 表示サイズ(幅)。項目を省略するか値を0にすると、画像の幅がそのまま使われます。
	 *   viewHeight: 表示サイズ(高さ)。項目を省略するか値を0にすると、画像の高さがそのまま使われます。
	 *   caption: 画像のタイトルまたは説明文。プルダウンリストに表示されます。
	 *   cols: 列数(横方向の画像分割数)。2以下にしたり指定しなければ適当に分割されます。
	 *   rows: 行数(縦方向の画像分割数)。2以下にしたり指定しなければ適当に分割されます。
	 *   border: true=ピースに枠線をつける、falseまたは無指定=枠線をつけない
	 *   showLabel: true=正しい配置にないピースでもピース番号を表示
	 *              falseまたは無指定=ピース番号を表示しない
	 *-------------------------------------------------------------------*/
	,imageList : [
		//1枚目
		 {
		 	  src : "image1.png"
		 	, caption : "画像１のタイトル"
		 	, cols : 3 //横3列
		 	, rows : 3 //縦3列
		 	, border : true //ピースに枠線をつける
		 	, showLabel : true //常にピース番号を表示
		 }
		//2枚目（列数、行数とも指定していないので、適当に分割されます。枠線もピース番号もありません）
		,{
			  src : "image2.jpg"
		 	, caption : "画像２のタイトル"
		}
		//3枚目（タイトル指定なし。列数の指定が不正なので適当に分割されます）
		,{
			  src : "image3.jpg"
		 	, cols : 2 //2以下の値は不正なので、適当に分割されます
		 	, rows : 5 //colsが不正なので、rowsの値も使われません
		 	, border : true //ピースに枠線をつける
		 	, showLabel : true //常にピース番号を表示
		}
	]
	/*-------------------------------------------------------------------*
	 * パズル完成時の挙動を指定します。
	 *-------------------------------------------------------------------*/
	,afterFinish : {
		/*-------------------------------------------------------------------*
		 * 0: メッセージダイアログを表示
		 * 1: ページ内にテキストを表示
		 * 2: メッセージダイアログを表示後、指定したページにジャンプ
		 * 3: メッセージダイアログを表示後、次のパズルを表示（ランダム）
		 * 4: メッセージダイアログを表示後、次のパズルを表示（imageListで指定した順番通り）
		 *-------------------------------------------------------------------*/
		 kind : 0
		// kindを0または2とした場合、ダイアログに表示する文言。
		,dialogMessage : "Completed !"
		// kindを1とした場合、ページ内に表示する文言。HTML指定可能。
		,textMessage : "完成です!"
		// kindを2とした場合、ジャンプ先のURL。絶対パスまたは相対パスで指定。
		,jumpURL : "http://www.vector.co.jp/vpack/browse/person/an038747.html"
	}
}
